ResultFilterPanelEnum (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.filterresult

## Enum ResultFilterPanelEnum

- java.lang.Object
- - java.lang.Enum<ResultFilterPanelEnum>
  - - org.gcube.portlets.user.speciesdiscovery.client.filterresult.ResultFilterPanelEnum

- All Implemented Interfaces:
    Serializable, Comparable<ResultFilterPanelEnum>

      public enum ResultFilterPanelEnum
      extends Enum<ResultFilterPanelEnum>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASSIFICATION`
    `DATAPROVIDER`
    `DATASOURCE`
    `RANK`
    `TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `static ResultFilterPanelEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResultFilterPanelEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSIFICATION

          public static final ResultFilterPanelEnum CLASSIFICATION

    - #### RANK

          public static final ResultFilterPanelEnum RANK

    - #### TYPE

          public static final ResultFilterPanelEnum TYPE

    - #### DATAPROVIDER

          public static final ResultFilterPanelEnum DATAPROVIDER

    - #### DATASOURCE

          public static final ResultFilterPanelEnum DATASOURCE

  - ### Method Detail

    - #### values

          public static ResultFilterPanelEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultFilterPanelEnum c : ResultFilterPanelEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultFilterPanelEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

Copyright © 2013. All Rights Reserved.